Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class AbstractSolutionDao

    java.lang.Object
      org.optaplanner.examples.common.persistence.AbstractSolutionDao

All Implemented Interfaces:
  SolutionDao

Direct Known Subclasses:
  XStreamSolutionDao

    public abstract class AbstractSolutionDao

extends Object
implements SolutionDao

Field Summary
`static String` | `DATA_DIR_SYSTEM_PROPERTY` The path to the data directory, preferably with unix slashes for portability.
`protected File` | `dataDir`
`protected String` | `dirName`
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractSolutionDao(String dirName)`

Method Summary
`File` | `getDataDir()`
`String` | `getDirName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.examples.common.persistence.SolutionDao
`getFileExtension, readSolution, writeSolution`

Field Detail

### DATA_DIR_SYSTEM_PROPERTY

    public static final String DATA_DIR_SYSTEM_PROPERTY

  The path to the data directory, preferably with unix slashes for portability. For example: -D"org.optaplanner.examples.dataDir"=sources/data/

  See Also:
    Constant Field Values

### logger

    protected final transient org.slf4j.Logger logger

### dirName

    protected String dirName

### dataDir

    protected File dataDir

Constructor Detail

### AbstractSolutionDao

    public AbstractSolutionDao(String dirName)

Method Detail

### getDirName

    public String getDirName()

  Specified by:
    `getDirName` in interface `SolutionDao`

### getDataDir

    public File getDataDir()

  Specified by:
    `getDataDir` in interface `SolutionDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.